Lintian Fixes - r-cran-bindrcpp

Ready changes

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index a6d4bb5..bf81581 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+r-cran-bindrcpp (0.2.2-3) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Tue, 14 Jul 2020 10:43:21 -0000
+
 r-cran-bindrcpp (0.2.2-2) unstable; urgency=medium
 
   * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de394..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index f1aa8e5..0b62aac 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-bindr (>= 0.1.1),
diff --git a/debian/rules b/debian/rules
index 529c38a..68d9a36 100755
--- a/debian/rules
+++ b/debian/rules
@@ -2,4 +2,3 @@
 
 %:
 	dh $@ --buildsystem R
-
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
index ae5f5cf..ea5f275 100644
--- a/debian/tests/run-unit-test
+++ b/debian/tests/run-unit-test
@@ -3,12 +3,12 @@
 pkgname=bindrcpp
 debname=r-cran-bindrcpp
 
-if [ "$ADTTMP" = "" ] ; then
-    ADTTMP=`mktemp -d /tmp/${debname}-test.XXXXXX`
-    trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+    AUTOPKGTEST_TMP=`mktemp -d /tmp/${debname}-test.XXXXXX`
+    trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
 fi
-cd $ADTTMP
-cp -a /usr/share/doc/$debname/tests/* $ADTTMP
+cd $AUTOPKGTEST_TMP
+cp -a /usr/share/doc/$debname/tests/* $AUTOPKGTEST_TMP
 gunzip -r *
 for testfile in *.R; do
     echo "BEGIN TEST $testfile"
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..1fe8079
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,6 @@
+---
+Archive: CRAN
+Bug-Database: https://github.com/krlmlr/bindrcpp/issues
+Bug-Submit: https://github.com/krlmlr/bindrcpp/issues/new
+Repository: https://github.com/krlmlr/bindrcpp.git
+Repository-Browse: https://github.com/krlmlr/bindrcpp

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/32/36c27223c0d68c8fc854c9babf0cdc78874087.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/0d/0235c2b3f17b0ca6c3526b890e8b1c4b08820c.debug

No differences were encountered between the control files of package r-cran-bindrcpp

Control files of package r-cran-bindrcpp-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 0d0235c2b3f17b0ca6c3526b890e8b1c4b08820c 3236c27223c0d68c8fc854c9babf0cdc78874087

Run locally

Try this locally (using the lintian-brush package):

debcheckout r-cran-bindrcpp
cd r-cran-bindrcpp
lintian-brush

More details

Full run details